> For the complete documentation index, see [llms.txt](https://docs.flowx.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowx.finance/developer/flowx-sdk/clmm-management/pool-management.md).

# Pool Management

## Get all pool

```typescript
const poolManager = new ClmmPoolManager('mainnet');
const pools = await poolManager.getPools();
```

## Get specific pool

```typescript
const pool = await clmmPoolManager.getPoolDetail(poolId);
```

## Create Pool

<pre class="language-typescript"><code class="lang-typescript">const coinX = new Coin(TEST_SUI_COIN);
const coinY = new Coin(TEST_USDC_COIN);
const TEST_SQRT_PRICE_X64 = '18446744073709551616'; // Price = 1.0
const pool = new ClmmPool(
  "",
  [coinX, coinY],
  [],
  [0, 0],
  FeeAmount.MEDIUM,
  TEST_SQRT_PRICE_X64,
  0,
  0,
  0,
  0,
);

// Act
const tx = new Transaction();
<strong>await cmmPoolManager.tx(tx).createPoolV2(pool);
</strong></code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flowx.finance/developer/flowx-sdk/clmm-management/pool-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
